Bug 11010 - qemu aborts on access to emulated SCSI CD-ROM
: qemu aborts on access to emulated SCSI CD-ROM
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qemu-system)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-04 23:20 by
Modified: 2008-09-03 02:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-04 23:20:58
qemu-system-0.9.0.cvs20070304-alt4

При использовании опции "-disk scsi,img=/dev/cdrom,type=cdrom" устройство SCSI
создаётся, но неверного типа - вместо CD-ROM получается обычный диск.
------- Comment #1 From 2007-03-09 23:19:13 -------
Fixed in 0.9.0.cvs20070304-alt5
------- Comment #2 From 2007-03-10 13:31:14 -------
В этой версии устройство создаётся, но не работает нормально - при попытке
монтирования CD-ROM в гостевой системе (i586 2.6.18-std-smp-alt4) qemu
немедленно завершает работу с сообщением:

lsi_scsi: error: readb 0x8

Проявилось на хосте i586, в том числе без использования kqemu; как при
использовании файла с образом CD, так и при обращении к /dev/cdrom.
Использование того же файла образа с type=disk вроде бы проходит.
------- Comment #3 From 2008-09-03 02:09:29 -------
Кривопатч оторван. Развесистая опция -drive реализована в upstream.